%define name	nagvis
%define version 1.4.7
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Visualization addon for nagios
License:	GPL
Group:		Networking/WWW
URL:		http://nagvis.org
Source:     http://downloads.sourceforge.net/nagvis/%{name}-%{version}.tar.gz
Requires:   mod_php
Requires:   php-xml
Requires:   php-gd
Requires:   php-mysql
Requires:   php-mbstring
%if %mdkversion < 201010
Requires(post):   rpm-helper
Requires(postun):   rpm-helper
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
NagVis is a visualization addon for the well known network managment system
Nagios. NagVis can be used to visualize Nagios Data, e.g. to display IT
processes like a mail system or a network infrastructure.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 644 index.php %{buildroot}%{_datadir}/%{name}
cp -r nagvis %{buildroot}%{_datadir}/%{name}
cp -r wui %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
pushd %{buildroot}%{_datadir}/%{name}
ln -s ../../..%{_sysconfdir}/%{name} etc
popd
install -m 644 etc/nagvis.ini.php-sample %{buildroot}%{_sysconfdir}/%{name}/nagvis.ini.php
cp -r etc/maps %{buildroot}%{_sysconfdir}/%{name}

install -d -m 755 %{buildroot}%{_var}/lib/%{name}
pushd %{buildroot}%{_datadir}/%{name}
ln -s ../../..%{_var}/lib/%{name} var
popd

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# %{name} Apache configuration
Alias /%{name}/var %{_var}/lib/%{name}
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Order allow,deny
    Allow from all

    Options -FollowSymLinks

    # nagvis complains if no user is defined
    SetEnv REMOTE_USER nagios
</Directory>

<Directory %{_var}/lib/%{name}>
    Order deny,allow
    Deny from all
</Directory>
EOF

# nagvis configuration
perl -pi \
    -e 's|;base=.*|base="%{_datadir}/nagvis/"|;' \
    -e 's|;htmlbase=.*|htmlbase="/nagvis"|;' \
    %{buildroot}%{_sysconfdir}/%{name}/nagvis.ini.php 

# make configuration apache-writable
chmod 664 %{buildroot}%{_sysconfdir}/%{name}/maps/*.cfg
chmod 660 %{buildroot}%{_sysconfdir}/%{name}/nagvis.ini.php

cat > README.mdv <<EOF
Mandriva RPM specific notes

setup
-----
The setup used here differs from default one, to achieve better FHS compliance.
- the constant files are in %{_datadir}/%{name}
- the variable files are in %{_var}/lib/%{name}
- the configuration files are in %{_sysconfdir}/%{name}
EOF

%clean
rm -rf %{buildroot}

%post
%if %mdkversion < 201010
%_post_webapp
%endif

%postun
%if %mdkversion < 201010
%_postun_webapp
%endif

%files
%defattr(-,root,root)
%doc INSTALL LICENCE README README.mdv docs/*
%config(noreplace) %{_webappconfdir}/%{name}.conf
%dir %{_sysconfdir}/nagvis
%dir %{_sysconfdir}/nagvis/maps
%attr(-,root,apache) %config(noreplace) %{_sysconfdir}/nagvis/nagvis.ini.php
%attr(-,root,apache) %config(noreplace) %{_sysconfdir}/nagvis/maps/*.cfg
%attr(-,apache,apache) %{_var}/lib/%{name}
%{_datadir}/%{name}


%changelog
* Mon Apr 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.7-1mdv2010.1
+ Revision: 538956
- new version

* Sun Mar 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.6-1mdv2010.1
+ Revision: 518978
- update to new version 1.4.6

* Wed Feb 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.5-2mdv2010.1
+ Revision: 507266
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise
- switch to "open to all" default access policy

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.5-1mdv2010.1
+ Revision: 473620
- ensure followsymlink is always disabled
- new version
- don't attempt to isolate files from web root, to match upstream setup better
- enforce new default access policy

* Sat Nov 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.4-1mdv2010.1
+ Revision: 462214
- update to new version 1.4.4

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-1mdv2010.0
+ Revision: 419925
- new version

* Wed Jun 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-1mdv2010.0
+ Revision: 384878
- new version
- mv all files under %%_datadir/%%name, %%_var/www is not FHS compliant
- better default configuration file

* Wed Feb 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-1mdv2009.1
+ Revision: 342730
- new version
- drop additional noprefix patch, fixed upstream

* Sat Sep 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-3mdv2009.0
+ Revision: 286172
- new version
- use symlinks rather than code patch to achieve FHS compliance
- make maps and configuration apache writable

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.2.2-3mdv2009.0
+ Revision: 253560
- rebuild

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.2-1mdv2008.1
+ Revision: 175068
- new version

* Mon Feb 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdv2008.1
+ Revision: 165532
- new version
  rediff FHS patch

* Tue Dec 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdv2008.1
+ Revision: 132113
- final version
  include wui
- patch1: allow dbprefix to be mepty
- import nagvis


* Fri Dec 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-0.%%{rc}.1mdv2008.1
- first mdv release
